%define	module	xdot
%define name	python-%{module}
%define version 0.5

# git81b8d7d
%define gitrel	0
%define rel 4
%if "%{commit}" != "0"
%define release %mkrel %{rel}
%else
%define release %mkrel 0.%{rel}.%{gitrel}
%endif

%define distname %{module}.py-%{version}

Summary:	Interactive viewer for Graphviz dot files
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{module}-%{version}.tar.gz
License:	LGPLv3+
Group:		Graphics/Utilities
Url:		https://github.com/jrfonseca/xdot.py
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch
Requires:	graphviz, pygtk2.0
BuildRequires:	python-setuptools, python-devel

%description
xdot is an interactive viewer for graphs written in
Graphviz's dot language.

It internally uses Graphviz's xdot output format as an
intermediate format, and PyGTK and Cairo for rendering.

xdot can be used either as a standalone application from
the command line, or as a library embedded in your Python
application.

%prep
%setup -q -n %{distname}

%build
%{__python} setup.py build

%install
%{__python} setup.py install --root=%{buildroot} --skip-build

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{module}.desktop << EOF
[Desktop Entry]
Name=XDot
Comment=Interactive viewer for Graphviz dot files
Exec=xdot
Terminal=false
Type=Application
Categories=GTK;DataVisualization;Science;Graphics;
MimeType=text/vnd.graphviz;
Keywords=graphviz;dot;viewer;graph;
EOF

%files
%defattr(-,root,root)
%doc sample.py
%{_bindir}/%{module}
%{python_sitelib}/%{module}.py*
%{python_sitelib}/%{module}-*.egg-info
%{_datadir}/applications/%{_real_vendor}-%{module}.desktop


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 0.5-4.mga4
+ Revision: 544590
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.5-3.mga4
+ Revision: 499769
- Rebuild to add different pythonegg provides for python 2 and 3

* Tue Sep 03 2013 blino <blino> 0.5-2.mga4
+ Revision: 474889
- expand file list in spec instead of using broken setup.py --record option (includes uninstalled pyc file)
- enable python bytecode

* Fri Jun 14 2013 blino <blino> 0.5-1.mga4
+ Revision: 443121
- use Graphics/Utilities group
- add desktop file (borrowed from Debian)
- update URL
- 0.5
- imported package python-xdot


* Tue Jan 03 2012 Lev Givon <lev@mandriva.org> 0.4-0.git81b8d7dmdv2011.0
+ Revision: 749031
- imported package python-xdot

